Package: org.gradle.testing.jacoco.tasks

## [Java] Interface JacocoReportsContainer

- java.util.Collection

- All Superinterfaces:
    DomainObjectCollection, NamedDomainObjectCollection, org.gradle.util.Configurable, Iterable, Set, NamedDomainObjectSet, Collection

  The reporting configuration for the JacocoReport task.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SingleFileReport` | `getCsv()` The JaCoCo (single file) CSV report
    `DirectoryReport` | `getHtml()` The JaCoCo HTML report
    `SingleFileReport` | `getXml()` The JaCoCo (single file) XML report

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReportContainer` | `getEnabled, matching, matching, findAll, withType, add, addAll, getByName, getByName, matching, matching, withType, getAt, findByName, getAsMap, getNames, addRule, addRule, getNamer, getRules, all, all, matching, matching, findAll, withType, withType, withType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, iterator, remove, containsAll, removeAll, retainAll, add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, configure`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public SingleFileReport getCsv()

      The JaCoCo (single file) CSV report

      Returns:
        The JaCoCo (single file) CSV report

    - #### public DirectoryReport getHtml()

      The JaCoCo HTML report

      Returns:
        The JaCoCo HTML report

    - #### public SingleFileReport getXml()

      The JaCoCo (single file) XML report

      Returns:
        The JaCoCo (single file) XML report